Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event_Map_Entry_T< PROXY > Class Template Reference

The entry stored in the event map. More...

`#include <Event_Map_Entry_T.h>`

Inheritance diagram for TAO_Notify_Event_Map_Entry_T< PROXY >:

[legend]
Collaboration diagram for TAO_Notify_Event_Map_Entry_T< PROXY >:

[legend]
List of all members.

## Public Types
typedef TAO_ESF_Proxy_Collection< PROXY > | COLLECTION
## Public Methods
| TAO_Notify_Event_Map_Entry_T (void)
| Constructor.
| ~TAO_Notify_Event_Map_Entry_T (void)
| Destructor.
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Init - Allocates collection.
void | connected (PROXY *proxy ACE_ENV_ARG_DECL)
| Connect.
void | disconnected (PROXY *proxy ACE_ENV_ARG_DECL)
| Disconnect.
COLLECTION * | collection (void)
| Collection accessor.
int | count (void)
| Count accessor.
CORBA::ULong | _incr_refcnt (void)
| = Reference counting methods.
CORBA::ULong | _decr_refcnt (void)
## Protected Attributes
COLLECTION * | collection_
| The Collection.
int | count_
| Count of PROXY's connected in the collection;.
ACE_Atomic_Op< TAO_SYNCH_MUTEX, int > | usage_count_
| Count of users accessing this entry.

## Detailed Description

### template<class PROXY>
class TAO_Notify_Event_Map_Entry_T< PROXY >

The entry stored in the event map.

## Member Typedef Documentation

template<class PROXY>
typedef TAO_ESF_Proxy_Collection<PROXY> TAO_Notify_Event_Map_Entry_T< PROXY >::COLLECTION

## Constructor & Destructor Documentation

template<class PROXY>
TAO_Notify_Event_Map_Entry_T< PROXY >::TAO_Notify_Event_Map_Entry_T | ( | void |  | ) |

| Constructor.

template<class PROXY>
TAO_Notify_Event_Map_Entry_T< PROXY >::~TAO_Notify_Event_Map_Entry_T | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class PROXY>
CORBA::ULong TAO_Notify_Event_Map_Entry_T< PROXY >::_decr_refcnt | ( | void |  | ) |

template<class PROXY>
CORBA::ULong TAO_Notify_Event_Map_Entry_T< PROXY >::_incr_refcnt | ( | void |  | ) |

| = Reference counting methods.

template<class PROXY>
COLLECTION* TAO_Notify_Event_Map_Entry_T< PROXY >::collection | ( | void |  | ) |

| Collection accessor.

template<class PROXY>
void TAO_Notify_Event_Map_Entry_T< PROXY >::connected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) |

| Connect.

template<class PROXY>
int TAO_Notify_Event_Map_Entry_T< PROXY >::count | ( | void |  | ) |

| Count accessor.

template<class PROXY>
void TAO_Notify_Event_Map_Entry_T< PROXY >::disconnected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) |

| Disconnect.

template<class PROXY>
void TAO_Notify_Event_Map_Entry_T< PROXY >::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init - Allocates collection.

## Member Data Documentation

template<class PROXY>
COLLECTION* TAO_Notify_Event_Map_Entry_T< PROXY >::collection_`[protected]`

| The Collection.

template<class PROXY>
int TAO_Notify_Event_Map_Entry_T< PROXY >::count_`[protected]`

| Count of PROXY's connected in the collection;.

template<class PROXY>
ACE_Atomic_Op<TAO_SYNCH_MUTEX,int> TAO_Notify_Event_Map_Entry_T< PROXY >::usage_count_`[protected]`

| Count of users accessing this entry.

The documentation for this class was generated from the following files:

- Event_Map_Entry_T.h
- Event_Map_Entry_T.cpp